Subject: Re: livepatching tree for linux-next

From: Andrew Morton <[email-masked]>
Date: Wed, 7 Jan 2015 16:33:45 -0800

On Thu, 8 Jan 2015 01:11:03 +0100 (CET) Jiri Kosina <[email-masked]> wrote:

> On Wed, 7 Jan 2015, Andrew Morton wrote:
> 
> > > --- a/kernel/livepatch/core.c
> > > +++ b/kernel/livepatch/core.c
> > > @@ -911,6 +911,12 @@ static int klp_init(void)
> > >  {
> > >  	int ret;
> > >  
> > > +	ret = klp_check_compiler_support();
> > > +	if (ret) {
> > > +		pr_info("Your compiler is too old; turning off.\n");
> > > +		return -EINVAL;
> > > +	}
> > > +
> > 
> > Looks reasonable.  
> 
> Thanks. Can I treat this as your Reported-and-tested-by .. ?

I compile tested it.  Then I got bored trying to hunt down all the
Kconfig things I needed to turn on to runtime test it ;)

btw, I suggest using HAVE_LIVE_PATCHING instead of
ARCH_HAVE_LIVE_PATCHING.  because this:

akpm3:/usr/src/25> grep " HAVE_" arch/x86/Kconfig | wc -l
67
akpm3:/usr/src/25> grep " ARCH_HAVE_" arch/x86/Kconfig | wc -l  
3
akpm3:/usr/src/25> grep " ARCH_HAS_" arch/x86/Kconfig | wc -l   
7
akpm3:/usr/src/25> grep " HAVE_ARCH" arch/x86/Kconfig | wc -l         
8
akpm3:/usr/src/25> grep " ARCH_USE" arch/x86/Kconfig | wc -l     
4
akpm3:/usr/src/25> grep " ARCH_WANT" arch/x86/Kconfig | wc -l   
6

makes me cry.